@import '~@angular/material/_theming';

// Theme Colors
$mat-event: (
  50: #e1f6f4,
  100: #b3e9e4,
  200: #80dad2,
  300: #4dcbc0,
  400: #27bfb3,
  500: #01b4a5,
  600: #01ad9d,
  700: #01a493,
  800: #019c8a,
  900: #008c79,
  A100: #b8fff3,
  A200: #85ffeb,
  A400: #52ffe2,
  A700: #39ffde,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $dark-primary-text,
    400: $dark-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $light-primary-text,
    A400: $light-primary-text,
    A700: $light-primary-text,
  )
);

@include mat-core();

$app-primary: mat-palette($mat-event, 500);
$app-accent: mat-palette($mat-amber, A200, A100, A400);
$app-warn: mat-palette($mat-red);

$primary: mat-color($app-primary);
$primary-contrast: mat-color($app-primary, default-contrast);
$accent: mat-color($app-accent);
$accent-contrast: mat-color($app-accent, default-contrast);
$warn: mat-color($app-warn);
$warn-contrast: mat-color($app-warn, default-contrast);

$app-theme: mat-light-theme($app-primary, $app-accent, $app-warn);
$app-text: mat-color(map-get($app-theme, foreground), text);

// Constant Colors
$app-white: #FFFFFF;

// Elements
$header-height: 56px;
$side-menu-open: 20.5rem;
$side-menu-collapsed: 4.6rem;
$content-title-height: 32px;
$login-cont-width: 300px;
$login-cont-height: 200px;

//Text
$mandatory-text: $warn;

//Button
$disabled-button-background: #A9A9A9;


